summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2018-08-26 09:58:51 +0200
committerMichał Górny <mgorny@gentoo.org>2018-08-26 10:25:08 +0200
commitf50470143a7c0e4dac8b27e1c3ad43418e2cb7c7 (patch)
treecc7fdcf55b6b0c96fc2f04556f1749af8d02b76b /app-i18n
parentnet-libs/libnsl: Stable for HPPA too. (diff)
downloadgentoo-f50470143a7c0e4dac8b27e1c3ad43418e2cb7c7.tar.gz
gentoo-f50470143a7c0e4dac8b27e1c3ad43418e2cb7c7.tar.bz2
gentoo-f50470143a7c0e4dac8b27e1c3ad43418e2cb7c7.zip
app-i18n/scim-bridge: Remove support for non-existent deps
Diffstat (limited to 'app-i18n')
-rw-r--r--app-i18n/scim-bridge/scim-bridge-0.4.16-r3.ebuild16
1 files changed, 3 insertions, 13 deletions
diff --git a/app-i18n/scim-bridge/scim-bridge-0.4.16-r3.ebuild b/app-i18n/scim-bridge/scim-bridge-0.4.16-r3.ebuild
index 2f7cc8cc786..cb61c2bfa50 100644
--- a/app-i18n/scim-bridge/scim-bridge-0.4.16-r3.ebuild
+++ b/app-i18n/scim-bridge/scim-bridge-0.4.16-r3.ebuild
@@ -12,7 +12,7 @@ SRC_URI="mirror://sourceforge/scim/${P}.tar.gz"
LICENSE="GPL-2 LGPL-2.1"
SLOT="0"
KEYWORDS="~amd64 ~hppa ~ppc64 ~x86"
-IUSE="doc gtk qt4"
+IUSE="doc gtk"
RESTRICT="test"
@@ -22,11 +22,6 @@ RDEPEND="
>=x11-libs/gtk+-2.2:2
>=x11-libs/pango-1.1
)
- qt4? (
- dev-qt/qtgui:4
- dev-qt/qtcore:4
- >=x11-libs/pango-1.1
- )
"
DEPEND="${RDEPEND}
virtual/pkgconfig
@@ -66,13 +61,8 @@ src_configure() {
# Qt3 is no longer supported, bug 283429
myconf="${myconf} --enable-qt3-immodule=no"
-
- if use qt4 ; then
- myconf="${myconf} --enable-qt4-immodule=yes"
- export QT_SELECT="4"
- else
- myconf="${myconf} --enable-qt4-immodule=no"
- fi
+ # Qt4 neither
+ myconf="${myconf} --enable-qt4-immodule=no"
econf \
--disable-static \